## templatematch templatematch — Performs template matching on videos and images, providing detected positions via bus messages. |

## Synopsis

    struct              GstSynaeScope;
    struct              GstTemplateMatch;

## Properties

      "display"                  gboolean              : Read / Write
      "method"                   gint                  : Read / Write
      "template"                 gchar*                : Read / Write

## Description

## Synopsis

### Element Information

plugin | opencv
author | Noam Lewis <jones.noamle@gmail.com>
class | Filter/Effect/Video

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-raw, format=(string)RGB, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

name | src
direction | source
presence | always
details | video/x-raw, format=(string)RGB, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

## Details

### struct GstSynaeScope

    struct GstSynaeScope;

### struct GstTemplateMatch

    struct GstTemplateMatch {
      GstElement element;

      GstPad *sinkpad, *srcpad;

      gint method;
      gboolean display;

      gchar *template;

      IplImage *cvImage, *cvGray, *cvTemplateImage, *cvDistImage;
    };

## Property Details

### The `"display"` property

      "display"                  gboolean              : Read / Write

Sets whether the detected template should be highlighted in the output.

Default value: TRUE

### The `"method"` property

      "method"                   gint                  : Read / Write

Specifies the way the template must be compared with image regions. 0=SQDIFF, 1=SQDIFF_NORMED, 2=CCOR, 3=CCOR_NORMED, 4=CCOEFF, 5=CCOEFF_NORMED.

Allowed values: [0,5]

Default value: 3

### The `"template"` property

      "template"                 gchar*                : Read / Write

Filename of template image.

Default value: NULL